#1523 closed defect (wontfix)

gethostbyname is not reenterant.

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 4.11.2
Component: network/legacy Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The gethostbyname call uses global static data and therefore is not reenterant.

Change History (5)

comment:1 Changed on May 20, 2010 at 2:35:48 AM by Chris Johns

The gethostbyname call uses global static data and therefore is not reenterant.

comment:2 Changed on Jun 22, 2010 at 12:59:12 AM by Chris Johns

Milestone: 4.104.11
Status: newassigned

comment:3 Changed on Mar 2, 2015 at 8:42:45 PM by Gedare Bloom

Milestone: 4.114.11.1

bump milestone

comment:4 Changed on Jan 26, 2017 at 7:16:00 AM by Sebastian Huber

Milestone: 4.11.14.11.2

comment:5 Changed on Mar 21, 2017 at 4:02:38 AM by Chris Johns

Resolution: wontfix
Status: assignedclosed

Use 4.12 and libbsd.

Note: See TracTickets for help on using tickets.